local E, L, V, P, G = unpack(ElvUI);
local SousUI = E:GetModule('Souschef');
local _G = _G

-- ProjectAzilroka profile setup
function SousUI:LoadPAProfile(layout)

	local PA = _G.ProjectAzilroka
	PA.data:SetProfile('Souschef')

	-- Modules
	PA.db["AuraReminder"]["Enable"] = false
	PA.db["BigButtons"]["Enable"] = false
	PA.db["Cooldown"]["Enable"] = false
	PA.db["DragonOverlay"]["Enable"] = false
	PA.db["EnhancedShadows"]["Enable"] = false
	PA.db["MouseoverAuras"]["Enable"] = false
	PA.db["MovableFrames"]["Enable"] = false
	PA.db["OzCooldowns"]["Enable"] = false
	PA.db["QuestSounds"]["Enable"] = false
	PA.db["ReputationReward"]["Enable"] = false
	PA.db["stAddonManager"]["Enable"] = false
	PA.db["MasterExperience"]["Enable"] = false
	PA.db["EnhancedFriendsList"]["Enable"] = false
	PA.db["SquareMinimapButtons"]["Enable"] = true
	PA.db["SquareMinimapButtons"]["Backdrop"] = false
	PA.db["SquareMinimapButtons"]["BarMouseOver"] = false
	PA.db["SquareMinimapButtons"]["ButtonSpacing"] = 1
	PA.db["SquareMinimapButtons"]["ButtonsPerRow"] = 1
	PA.db["SquareMinimapButtons"]["IconSize"] = 25
	PA.db["SquareMinimapButtons"]["MoveQueue"] = false
	PA.db["SquareMinimapButtons"]["MoveTracker"] = false
	PA.db["SquareMinimapButtons"]["MoveGarrison"] = false
	PA.db["SquareMinimapButtons"]["MoveMail"] = false
	PA.db["SquareMinimapButtons"]["Shadows"] = false
	
	-- Movers
	E.db["movers"]["SquareMinimapButtonBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-1,-185"
end
